curl "https://app.talkover.ai/api/v1/sip-trunks" \
-H "Authorization: Bearer talq_your_environment_token_here"
{
"success": true,
"data": [
{
"id": "trunk-uuid-1",
"name": "Primary Carrier — US",
"provider_name": "carrier-x",
"domain": "sip.carrier-x.com",
"transport": "tls",
"is_active": true,
"is_verified": true,
"health_status": "healthy",
"created_at": "2024-01-01T10:00:00Z"
}
]
}
Custom SIP Trunks
List SIP Trunks
List custom SIP trunks configured for your environment
GET
/
api
/
v1
/
sip-trunks
curl "https://app.talkover.ai/api/v1/sip-trunks" \
-H "Authorization: Bearer talq_your_environment_token_here"
{
"success": true,
"data": [
{
"id": "trunk-uuid-1",
"name": "Primary Carrier — US",
"provider_name": "carrier-x",
"domain": "sip.carrier-x.com",
"transport": "tls",
"is_active": true,
"is_verified": true,
"health_status": "healthy",
"created_at": "2024-01-01T10:00:00Z"
}
]
}
List SIP Trunks
List the custom SIP trunks configured in your environment. Custom SIP trunks let Enterprise customers route calls through their own carrier instead of the default platform-managed transport.This feature is available only on plans where
allow_custom_sip_trunks is enabled. Contact your account manager to enable it.Endpoint
GET /api/v1/sip-trunks
Request headers
string
required
Bearer token. Format:
Bearer talq_your_environment_token_hereExamples
curl "https://app.talkover.ai/api/v1/sip-trunks" \
-H "Authorization: Bearer talq_your_environment_token_here"
Response
{
"success": true,
"data": [
{
"id": "trunk-uuid-1",
"name": "Primary Carrier — US",
"provider_name": "carrier-x",
"domain": "sip.carrier-x.com",
"transport": "tls",
"is_active": true,
"is_verified": true,
"health_status": "healthy",
"created_at": "2024-01-01T10:00:00Z"
}
]
}
Was this page helpful?